diff options
author | Christian Ruppert <idl0r@gentoo.org> | 2012-01-28 19:32:05 +0100 |
---|---|---|
committer | Christian Ruppert <idl0r@gentoo.org> | 2012-01-28 19:32:05 +0100 |
commit | fb4aa20d053d055a83cf25f07f4185ea79cb7b30 (patch) | |
tree | d216ae2f78e6830c6f02d334ef02cc2b90099b06 /init.d/bootmisc.in | |
parent | 5a8344a3d1068b2a7b24bf88f9a2882475b2a5ae (diff) |
Use "checkpath -W" instead of dir_writable()
Diffstat (limited to 'init.d/bootmisc.in')
-rw-r--r-- | init.d/bootmisc.in | 8 |
1 files changed, 4 insertions, 4 deletions
diff --git a/init.d/bootmisc.in b/init.d/bootmisc.in index d75cb6e7..a2afbf9f 100644 --- a/init.d/bootmisc.in +++ b/init.d/bootmisc.in @@ -20,7 +20,7 @@ cleanup_tmp_dir() if ! [ -d "$dir" ]; then mkdir -p "$dir" || return $? fi - dir_writable "$dir" || return 1 + checkpath -W "$dir" || return 1 chmod a+rwt "$dir" 2> /dev/null cd "$dir" || return 1 if yesno $wipe_tmp; then @@ -117,7 +117,7 @@ start() migrate_to_run /var/run /run fi - if dir_writable /var/run; then + if checkpath -W /var/run; then ebegin "Creating user login records" local xtra= [ "$RC_UNAME" = NetBSD ] && xtra=x @@ -159,7 +159,7 @@ start() cleanup_tmp_dir "$tmp" done - if dir_writable /tmp; then + if checkpath -W /tmp; then # Make sure our X11 stuff have the correct permissions # Omit the chown as bootmisc is run before network is up # and users may be using lame LDAP auth #139411 @@ -172,7 +172,7 @@ start() fi if yesno $log_dmesg; then - if $logw || dir_writable /var/log; then + if $logw || checkpath -W /var/log; then # Create an 'after-boot' dmesg log if [ "$RC_SYS" != VSERVER -a "$RC_SYS" != OPENVZ ]; then dmesg > /var/log/dmesg |